%define name 	netsaint
%define version 0.0.7b8
%define release 2mdk

%define nsusr 	netsaint
%define nsgrp 	netsaint
%define cmdusr 	nobody
%define cmdgrp 	nobody

Summary:	Host/service/network monitoring program
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		netsaint-Makefile.patch.bz2
Patch1:		netsaint-daemon-init.in.patch.bz2
URL:		http://www.netsaint.org
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libgd1-devel
Requires: 	netsaint-plugins

%description
NetSaint is a program that will monitor hosts and 
services on your network.

It has the ability to email or page you when a problem
arises and when a problem is resolved.
NetSaint is written in C and is designed to run under 
Linux (and some other *NIX variants) as a background process,
intermittently running checks on various services that 
you specify. The actual service checks are performed by
separate "plugin" programs which return the status of the 
checks to NetSaint. Several CGI programs are included with 
NetSaint in order to allow you to view the current 
service status, problem history, notification history, 
and log file via the web. 

%package devel
Group: Development/Other
Summary: Devel for Netsaint-related applications may compile against.
 
%description devel
NetSaint is a program that will monitor hosts and 
services on your network.
It has the ability to email or page you when a problem
arises and when a problem is resolved.
NetSaint is written in C and is designed to run under 
Linux (and some other *NIX variants) as a background process,
intermittently running checks on various services that 
you specify. The actual service checks are performed by
separate "plugin" programs which return the status of the 
checks to NetSaint. Several CGI programs are included with 
NetSaint in order to allow you to view the current 
service status, problem history, notification history, 

This package provides include files that Netsaint-related 
applications may compile against.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch0
%patch1 -p1
mv contrib/htaccess.sample .

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--with-cgiurl=/cgi-bin/netsaint \
	--with-htmutl=/var/www/html/netsaint \
	--prefix=/ \
	--bindir=%{_sbindir} \
	--sbindir=/var/www/cgi-bin \
	--libexecdir=/usr/libexec/netsaint \
	--datadir=/var/www//html \
	--sysconfdir=/etc/netsaint \
	--localstatedir=/var/log/netsaint \
	--with-command-user=%{cmdusr} \
	--with-command-grp=%{cmdgrp} \
	--with-lockfile=/var/run/netsaint.pid \
	--with-netsaint-user=%{nsusr} \
	--with-netsaint-grp=%{nsgrp}
%make all

cd contrib
%make
  
%install
install -d -m 755	$RPM_BUILD_ROOT%{_includedir}/%{name}
install -d -m 755	$RPM_BUILD_ROOT%{_initrddir}
install -d -m 755 	$RPM_BUILD_ROOT%{_libdir}/%{name}/var
install -d -m 755	$RPM_BUILD_ROOT%{_sbindir}
install -d -m 755	$RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -d -m 755 	$RPM_BUILD_ROOT/var/log/%{name}
install -d -m 755	$RPM_BUILD_ROOT/var/www/cgi-bin/%{name}
install -d -m 755	$RPM_BUILD_ROOT/var/www/html/%{name}/{docs/{developer/images,images,othersw},images/logos,media,stylesheets}

install -m 644 common/locations.h		$RPM_BUILD_ROOT%{_includedir}/netsaint
install -m 755 daemon-init			$RPM_BUILD_ROOT%{_initrddir}/%{name}
install -m 755 base/netsaint			$RPM_BUILD_ROOT%{_sbindir}
install -m 644 *.cfg				$RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install -m 755 cgi/*.cgi			$RPM_BUILD_ROOT/var/www/cgi-bin/%{name}
install -m 755 contrib/*.cgi			$RPM_BUILD_ROOT/var/www/cgi-bin/%{name}
install -m 644 html/*.html			$RPM_BUILD_ROOT/var/www/html/%{name}
install -m 644 html/docs/*.html			$RPM_BUILD_ROOT/var/www/html/%{name}/docs
install -m 644 html/docs/*.txt			$RPM_BUILD_ROOT/var/www/html/%{name}/docs
install -m 644 html/docs/developer/*.html	$RPM_BUILD_ROOT/var/www/html/%{name}/docs/developer
install -m 644 html/docs/developer/images/*	$RPM_BUILD_ROOT/var/www/html/%{name}/docs/developer/images
install -m 644 html/docs/images/*		$RPM_BUILD_ROOT/var/www/html/%{name}/docs/images
install -m 644 html/docs/othersw/*		$RPM_BUILD_ROOT/var/www/html/%{name}/docs/othersw
install -m 644 html/images/*.gif		$RPM_BUILD_ROOT/var/www/html/%{name}/images
install -m 644 html/images/*.png		$RPM_BUILD_ROOT/var/www/html/%{name}/images
install -m 644 html/images/logos/*		$RPM_BUILD_ROOT/var/www/html/%{name}/images/logos
install -m 644 html/media/*			$RPM_BUILD_ROOT/var/www/html/%{name}/media
install -m 644 html/stylesheets/*		$RPM_BUILD_ROOT/var/www/html/%{name}/stylesheets

%pre
if [ `grep netsaint /etc/passwd | wc -l` = 0 ]; then  
   /usr/sbin/useradd -M -r -d /usr/libexec/netsaint -s /bin/sh \
                     -c "netsaint" netsaint || :
fi
if [ -f /var/lock/subsys/netsaint ]; then
   service netsaint stop
fi

%post
/sbin/chkconfig --add netsaint

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/netsaint ]; then
      service netsaint stop
   fi
   /sbin/chkconfig --del netsaint
fi
   
%postun
if [ $1 = 0 ]; then
   if [ `grep netsaint /etc/passwd | wc -l` = 1 ]; then
      /usr/sbin/userdel netsaint
   fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changelog INSTALL LICENSE README UPGRADING
%config(noreplace) %{_sysconfdir}/%{name}/*.cfg
%config(noreplace) /etc/rc.d/
/var/www/cgi-bin/%{name}
/var/www/html/%{name}
%dir %attr(-,netsaint,netsaint)/var/log/netsaint
%{_libdir}/%{name}
%{_sbindir}/%{name}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/locations.h

%changelog
* Sat Mar 09 2002 Yves Duret <yduret@mandrakesoft.com> 0.0.7b8-2mdk
- add patch1: netsaint-daemon-init.in.patch.bz2 thx Horst Henkler <h.henkler@web.de> and denis

* Tue Dec 18 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.7b8-1mdk
- iversion 0.0.7b8

* Fri Nov 30 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.7b6-2mdk
- rebuild against libpng3

* Wed Aug 15 2001 Yves Duret <yduret@mandrakesoft.com> 0.0.7b6-1mdk
- version 0.0.7beta6

* Sat May 26 2001 Stefan van der Eijk <stefan@eijk.nu> 0.0.7b4-1mdk
- updated to 0.0.7b4
- put back the Makefile patch (needed to compile statusmap.cgi)
- reorganized .spec file
- -devel package

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.7b3-1mdk
- updated to 0.0.7b3

* Tue Jan 23 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- rebuild
- move webpages

* Wed Dec 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk 
- fix typo (thanks Charles !)

* Wed Dec 13 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-1mdk
- updated to 0.0.6
- remove patches

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.5-2mdk
- macros

* Wed May 31 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 0.0.5-1mdk
- updated to 0.0.5
- added traceroute.cgi (netsaint contrib)
- applied security patches (getcgi.c & popen.c)

* Sun Apr 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.5b6-1mdk
- fix file section
- used srpm provided by Stefan van der Eijk <s.vandereijk@chello.nl>

* Sun Apr 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 
- Upgraded to 0.0.5b6

* Mon Mar 27 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b5

* Thu Mar 09 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Updated some permisions

* Tue Feb 29 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b4

* Tue Jan 18 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b3

* Thu Jan 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Upgraded to 0.0.5b2

* Wed Jan 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- Fixed spec file so non-root user can build it
- Moved patch into source file --> patch gave a "fg: no job control" error
- bzip2-ed main source

* Tue Oct 19 1999 Mike McHenry <mmchen@minn.net) (0.0.4-2)
- Fixed init.d scripts to better fit new Redhat init.d script formats

* Fri Sep 03 1999 Mike McHenry <mmchen@minn.net> (0.0.4-1)
- Upgraded package from 0.0.4b4 to 0.0.4

* Mon Aug 16 1999 Mike McHenry <mmchen@minn.net>
- First RPM build (0.0.4b4)
